libinput (1.28.1-1ubuntu0.4) questing; urgency=medium

  * Add quirks support for Elan touchpad 04F3:3355 (LP: #2156327)
    d/p/0001-Add-Elan-haptic-touchpad-04F3-3355-support.patch

 -- Bin Li <binli@ubuntu.com>  Wed, 10 Jun 2026 15:49:28 +0800

libinput (1.28.1-1ubuntu0.3) questing; urgency=medium

  * Add quirks support for Goodix touchpad 27C6:0F96 and 27C6:0F90 (LP: #2146518)
    d/p/0001-Add-Goodix-haptic-touchpad-27C6-0F90-support.patch
    d/p/0002-quirks-add-support-for-Goodix-touchpad-27C6-0F96.patch

 -- Bin Li <binli@ubuntu.com>  Fri, 27 Mar 2026 16:14:30 +0800

libinput (1.28.1-1ubuntu0.2) questing; urgency=medium

  * Add quirks support for Goodix touchpad (LP: #2143028)
    d/p/0001-quirks-add-Lenovo-touchpad-quirk-in-a-generic-way.patch
    d/p/0002-quirks-add-quirk-support-for-Goodix-touchpad.patch

 -- Bin Li <binli@ubuntu.com>  Tue, 03 Mar 2026 13:44:10 +0800

libinput (1.28.1-1ubuntu0.1) questing; urgency=medium

  [Cyrus Lien]
  * Fix built-in volume button could not change the volume on Dell Pro Rugged
    tablet (LP: #2127963)
    d/p/0001-quirks-add-quirks-for-Dell-Pro-Rugged-tablets-for-vo.patch

  [Tony Hsiao]
  * Add Dell laptop touchpad quirks (LP: #2130298)
    d/p/0002-quirks-add-Dell-laptop-touchpad-quirks.patch
    d/p/0003-quirks-add-quirks-for-Dell-laptop-with-Sensel-Touchp.patch

 -- Tony Hsiao <tony.hsiao@canonical.com>  Thu, 30 Oct 2025 15:45:37 +0800

libinput (1.28.1-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 17:52:35 +0000

libinput (1.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Apr 2025 15:47:30 +0300

libinput (1.28.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Mar 2025 11:05:52 +0200

libinput (1.27.1-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Feb 2025 10:20:47 +0200

libinput (1.26.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 28 Sep 2024 10:13:18 +0300

libinput (1.26.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * symbols: Updated.
  * rules, install: Install udev files under /usr. (Closes: #1064396)
  * control: Migrate to pkgconf.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Jun 2024 13:49:02 +0300

libinput (1.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Feb 2024 14:20:23 +0200

libinput (1.23.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * tools: Remove references to LIBINPUT_QUIRKS_SRCDIR. (Closes: #995809)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 06 Dec 2023 15:10:33 -0800

libinput (1.23.0-2) unstable; urgency=medium

  * debian/control:
    + Update standards version to 4.6.2, no changes needed.
    + Add myself to uploaders
  * doc/html is no longer included in source tarball, drop exclude
    of non existing doc/html path
  * Upstream no longer sign releases, drop signing-key

 -- Marius Gripsgard <marius@ubports.com>  Wed, 14 Jun 2023 02:30:14 +0200

libinput (1.23.0-1) unstable; urgency=medium

  * New upstream release v1.23.0
  * Update symbols to match upstream release

 -- Marius Gripsgard <marius@ubports.com>  Wed, 31 May 2023 17:46:49 +0200

libinput (1.22.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Marius Gripsgard ]
  * New upstream release v1.22.1

 -- Marius Gripsgard <marius@ubports.com>  Wed, 25 Jan 2023 15:46:49 +0100

libinput (1.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Nov 2022 14:10:13 +0200

libinput (1.21.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libinput10.symbols: update
  * debian/rules: improve clean target

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 23 Jun 2022 01:07:16 +0200

libinput (1.20.1-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2020-1215

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Apr 2022 10:02:34 +0300

libinput (1.20.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated to use gitlab tags, though signing checks had to be
    disabled.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Feb 2022 15:24:35 +0200

libinput (1.19.3-2) unstable; urgency=medium

  * Rebuild against new libwacom.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Feb 2022 09:58:05 +0200

libinput (1.19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Jan 2022 13:24:24 +0200

libinput (1.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Oct 2021 10:38:27 +0300

libinput (1.19.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #993733)
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Sep 2021 12:23:05 +0300

libinput (1.18.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Aug 2021 14:23:36 +0300

libinput (1.18.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Jun 2021 12:12:04 +0300

libinput (1.17.2-1) experimental; urgency=medium

  * New upstream release.
  * Allow to build without the udeb package.
  * Update control build-dep libevdev-dev (>= 1.10.0) for
    libevdev_disable_property API.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 May 2021 11:43:43 +0300

libinput (1.16.4-3) unstable; urgency=medium

  * rules: Fix dh_auto_install to use separate destdir for main/udeb builds.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2020 18:20:15 +0200

libinput (1.16.4-2) unstable; urgency=medium

  * rules: Drop libwacom support from the udeb.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2020 17:27:17 +0200

libinput (1.16.4-1) unstable; urgency=medium

  * control, rules: Enable building debug-gui and tests, add check and
    libgtk-3-dev to build-depends. (Closes: #975528)
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Nov 2020 15:16:54 +0200

libinput (1.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Nov 2020 13:56:26 +0200

libinput (1.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Oct 2020 09:16:00 +0300

libinput (1.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Aug 2020 10:14:22 +0300

libinput (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Aug 2020 10:37:57 +0300

libinput (1.15.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Apr 2020 17:54:11 +0300

libinput (1.15.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Mar 2020 08:25:11 +0200

libinput (1.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 07 Mar 2020 10:28:37 +0200

libinput (1.15.2-1) unstable; urgency=medium

  * New upstream release. (LP: #1863454)
  * control: Use debhelper-compat.
  * fix-fuzz-override-rules.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Feb 2020 09:36:56 +0200

libinput (1.15.1-2) unstable; urgency=medium

  * fix-fuzz-override-rules.diff: Fix issues with some touchpads.
    (Closes: #950981)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Feb 2020 14:56:12 +0200

libinput (1.15.1-1) unstable; urgency=medium

  * New upstream release.
  * source: Update diff-ignore.
  * symbols: Updated.
  * tests: Modified to be cross-test-friendly. (Closes: #946577)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Feb 2020 18:20:32 +0200

libinput (1.14.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Nov 2019 15:50:24 +0200

libinput (1.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Oct 2019 21:38:12 +0300

libinput (1.14.1-2) unstable; urgency=medium

  * control: Fix libinput-tools to depend on python3-libevdev instead of
    -evdev. (LP: #1846323)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Oct 2019 16:49:51 +0300

libinput (1.14.1-1) unstable; urgency=medium

  * New upstream release.
  * tools.install: Add zsh completions.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 08 Sep 2019 00:37:12 +0300

libinput (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Aug 2019 13:37:23 +0300

libinput (1.13.4-1) unstable; urgency=medium

  * New upstream release.
  * source: Update diff-ignore.
  * control: Bump policy to 4.4.
  * rules: Use dh_missing.
  * compat, control: Bump debhelper to 12.
  * tools.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Jul 2019 14:27:40 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libinput-bin`.
